Exemple #1
0
        private void insertCamera()
        {
            int loadErrs  = 0;
            int loadWarns = 0;

            swApp.OpenDoc6(FOV_FILE,
                           (int)swDocumentTypes_e.swDocPART,
                           (int)swOpenDocOptions_e.swOpenDocOptions_Silent,
                           "",
                           ref loadErrs, ref loadWarns);
            if (loadErrs > 0)
            {
                swApp.SendMsgToUser2("something went wrong, try again",
                                     (int)swMessageBoxIcon_e.swMbWarning,
                                     (int)swMessageBoxBtn_e.swMbOk);
            }

            swAssembly.AddComponent(FOV_FILE, 0, 0, 0);
            swApp.CloseDoc(FOV_FILE);
            swAssembly.ForceRebuild();
        }